<?php

namespace Drupal\cl_components\Component;

/**
 * Class ComponentProp.
 */
class ComponentProp {

  /**
   * The schema.
   *
   * @var array
   */
  private array $schema = [];

  /**
   * The component name.
   *
   * @var string
   */
  private string $name = '';

  /**
   * Is the prop required for a component?
   *
   * @var bool
   */
  private bool $isRequired;

  /**
   * Creates a ComponentProp.
   *
   * @param string $name
   *   The component name.
   * @param array $schema
   *   The schema.
   * @param bool $is_required
   *   True if the prop is required.
   */
  public function __construct(string $name, array $schema, bool $is_required) {
    $this->name = $name;
    $this->schema = $schema;
    $this->isRequired = $is_required;
  }

}
